#include <iostream>

using namespace std;

int main()
{
    unsigned long n;
    cin>>n;
    unsigned long a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    unsigned long p=0;
    for(int i=0;i<n-1;i++){
        if(a[i+1]<=a[i]){
            p=p+1;
        }
    }
    int maxn;
    unsigned long br;
    if(p==n-1){
        swap(a[n-2],a[n-1]);
    }
    else{
        for(int i=0;i<n;i++){
        maxn=0;
        br=0;
            for(int j=i+1;j<n;j++){
                if(maxn<a[j]){
                    maxn=a[j];
                    br=j;
                }
            }
        if(a[i]<maxn){
            swap(a[i],a[br]);
            break;
        }
        }
    }
    for(int i=0;i<n;i++){
        cout<<a[i]<<" ";
    }
    return 0;
}